Subject: Re: [X2Go-Dev] Bug#1136: Multiple issues with x2gousbmount

From: Stefan Baur <[email-masked]>
Date: Mon, 16 Jan 2017 16:39:48 +0100

Am 16.01.2017 um 16:35 schrieb Mike Gabriel:
> 
> The mini desktop is a minimal MATE desktop env running on the thin
> client. With that minimal desktop, x2gothinclientd is not used and the
> role is taken over by MATE's session manager.
> 
> Simple as that.

Does that mean that at the very moment when an USB plug/unplug event is
detected, there is no x2goclient running that has --thinclient set?

Because if you *do* call x2goclient [...] --thinclient [...] for that
minidesktop session, then the new detection in the subroutine
check_x2gothinclientmode will trigger on that as well, so the "|| ..."
part would no longer be needed.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243